Bug 1010932 - Unable to start server via shortcuts on windows
Unable to start server via shortcuts on windows
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Windows
unspecified Severity high
: ER4
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 06:16 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:19:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-23 06:16:49 EDT
Description of problem:
There is new target for server startup shortcuts on windows:
6.1.1:
W:\pkremens\EAP-6.1.1\jboss-eap-6.1\bin\run.exe "W:\pkremens\EAP-6.1.1\jboss-eap-6.1\bin\standalone.bat"
W:\pkremens\EAP-6.1.1\jboss-eap-6.1\bin\run.exe "W:\pkremens\EAP-6.1.1\jboss-eap-6.1\bin\domain.bat"

6.2.0.ER1:
W:\pkremens\jdk1.7.0_last\jre\bin\java.exe "W:\pkremens\EAP-6.2.0\jboss-eap-6.2\bin\standalone.bat"
W:\pkremens\jdk1.7.0_last\jre\bin\java.exe "W:\pkremens\EAP-6.2.0\jboss-eap-6.2\bin\domain.bat"

Starting server by shortcuts will throw:
Error: Could not find or load main class W:\pkremens\EAP-6.2.0\jboss-eap-6.2\bin\standalone.bat
Comment 1 Miles Tjandrawidjaja 2013-09-30 16:42:10 EDT
Shortcuts on windows should now launch.
Note that it is the user's responsibility to ensure that the JAVA_HOME environment variables is set correctly. If the JAVA_HOME environment variable is not set than the shortcuts may not work.

http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=68dbf34718c0decaea2d875fb3eea94e4193ab85
Comment 3 Petr Kremensky 2013-10-07 10:19:42 EDT
Verified on EAP 6.2.0.ER4 installer.

Note You need to log in before you can comment on or make changes to this bug.